#################################################################
# Makefile generated by Xilinx Platform Studio 
# Project:C:\XUPV2P\Projects\EDKTutorial\system.xmp
#################################################################

XILINX_EDK_DIR = C:/EDK

SYSTEM = system

MHSFILE = system.mhs

MSSFILE = system.mss

FPGA_ARCH = virtex2p

DEVICE = xc2vp30ff896-7

LANGUAGE = vhdl

SEARCHPATHOPT =  -lp C:/XUPV2P/lib/

SUBMODULE_OPT = 

PLATGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT)

LIBGEN_OPTIONS = -mhs $(MHSFILE) -p $(DEVICE) $(SEARCHPATHOPT)

VPGEN_OPTIONS = -p $(DEVICE) $(SEARCHPATHOPT)

DIPTEST_OUTPUT_DIR = DIPTest
DIPTEST_OUTPUT = $(DIPTEST_OUTPUT_DIR)/executable.elf

LEDTEST_OUTPUT_DIR = LEDTest
LEDTEST_OUTPUT = $(LEDTEST_OUTPUT_DIR)/executable.elf

MICROBLAZE_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/microblaze/mb_bootloop.elf
PPC405_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc405/ppc_bootloop.elf
PPC440_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc440/ppc440_bootloop.elf
BOOTLOOP_DIR = bootloops

PPC405_0_BOOTLOOP = $(BOOTLOOP_DIR)/ppc405_0.elf

BRAMINIT_ELF_FILES =  $(LEDTEST_OUTPUT) 
BRAMINIT_ELF_FILE_ARGS =   -pe ppc405_0 $(LEDTEST_OUTPUT) 

ALL_USER_ELF_FILES = $(DIPTEST_OUTPUT) $(LEDTEST_OUTPUT) 

SIM_CMD = vsim

BEHAVIORAL_SIM_SCRIPT = simulation/behavioral/$(SYSTEM).do

STRUCTURAL_SIM_SCRIPT = simulation/structural/$(SYSTEM).do

TIMING_SIM_SCRIPT = simulation/timing/$(SYSTEM).do

DEFAULT_SIM_SCRIPT = $(BEHAVIORAL_SIM_SCRIPT)

MIX_LANG_SIM_OPT = -mixed yes

SIMGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(BRAMINIT_ELF_FILE_ARGS) $(MIX_LANG_SIM_OPT)  -s mti


LIBRARIES =  \
       ppc405_0/lib/libxil.a 
VPEXEC = virtualplatform/vpexec.exe

LIBSCLEAN_TARGETS = ppc405_0_libsclean 

PROGRAMCLEAN_TARGETS = DIPTest_programclean LEDTest_programclean 

CORE_STATE_DEVELOPMENT_FILES = 

WRAPPER_NGC_FILES = implementation/ppc405_0_wrapper.ngc \
implementation/reset_block_wrapper.ngc \
implementation/plb_wrapper.ngc \
implementation/opb_wrapper.ngc \
implementation/plb2opb_wrapper.ngc \
implementation/rs232_uart_1_wrapper.ngc \
implementation/dipsws_4bit_wrapper.ngc \
implementation/plb_bram_if_cntlr_1_wrapper.ngc \
implementation/plb_bram_if_cntlr_1_bram_wrapper.ngc \
implementation/dcm_0_wrapper.ngc \
implementation/leds_4bit_wrapper.ngc

POSTSYN_NETLIST = implementation/$(SYSTEM).ngc

SYSTEM_BIT = implementation/$(SYSTEM).bit

DOWNLOAD_BIT = implementation/download.bit

SYSTEM_ACE = implementation/$(SYSTEM).ace

UCF_FILE = data/system.ucf

BMM_FILE = implementation/$(SYSTEM).bmm

BITGEN_UT_FILE = etc/bitgen.ut

XFLOW_OPT_FILE = etc/fast_runtime.opt
XFLOW_DEPENDENCY = __xps/xpsxflow.opt $(XFLOW_OPT_FILE)

XPLORER_DEPENDENCY = __xps/xplorer.opt
XPLORER_OPTIONS = -p $(DEVICE) -uc $(SYSTEM).ucf -bm $(SYSTEM).bmm -max_runs 7

FPGA_IMP_DEPENDENCY = $(BMM_FILE) $(POSTSYN_NETLIST) $(UCF_FILE) $(BITGEN_UT_FILE) $(XFLOW_DEPENDENCY)

#################################################################
# SOFTWARE APPLICATION DIPTEST
#################################################################

DIPTEST_SOURCES = DIPTest/DIPTest.c 

DIPTEST_HEADERS = 

DIPTEST_CC = powerpc-eabi-gcc
DIPTEST_CC_SIZE = powerpc-eabi-size
DIPTEST_CC_OPT = -O2
DIPTEST_CFLAGS = 
DIPTEST_CC_SEARCH = # -B
DIPTEST_LIBPATH = -L./ppc405_0/lib/ # -L
DIPTEST_INCLUDES = -I./ppc405_0/include/ # -I
DIPTEST_LFLAGS = # -l
DIPTEST_LINKER_SCRIPT = DIPTest_linker_script.ld
DIPTEST_LINKER_SCRIPT_FLAG = -Wl,-T -Wl,$(DIPTEST_LINKER_SCRIPT) 
DIPTEST_CC_DEBUG_FLAG =  -g 
DIPTEST_CC_PROFILE_FLAG = # -pg
DIPTEST_CC_GLOBPTR_FLAG= # -msdata=eabi
DIPTEST_CC_START_ADDR_FLAG=  #  # -Wl,-defsym -Wl,_START_ADDR=
DIPTEST_CC_STACK_SIZE_FLAG=  #  # -Wl,-defsym -Wl,_STACK_SIZE=
DIPTEST_CC_HEAP_SIZE_FLAG=  #  # -Wl,-defsym -Wl,_HEAP_SIZE=
DIPTEST_OTHER_CC_FLAGS= $(DIPTEST_CC_GLOBPTR_FLAG)  \
                  $(DIPTEST_CC_START_ADDR_FLAG) $(DIPTEST_CC_STACK_SIZE_FLAG) $(DIPTEST_CC_HEAP_SIZE_FLAG)  \
                  $(DIPTEST_LINKER_SCRIPT_FLAG) $(DIPTEST_CC_DEBUG_FLAG) $(DIPTEST_CC_PROFILE_FLAG) 

#################################################################
# SOFTWARE APPLICATION LEDTEST
#################################################################

LEDTEST_SOURCES = LEDTest/LEDTest.c 

LEDTEST_HEADERS = 

LEDTEST_CC = powerpc-eabi-gcc
LEDTEST_CC_SIZE = powerpc-eabi-size
LEDTEST_CC_OPT = -O2
LEDTEST_CFLAGS = 
LEDTEST_CC_SEARCH = # -B
LEDTEST_LIBPATH = -L./ppc405_0/lib/ # -L
LEDTEST_INCLUDES = -I./ppc405_0/include/ # -I
LEDTEST_LFLAGS = # -l
LEDTEST_LINKER_SCRIPT = LEDTest_linker_script.ld
LEDTEST_LINKER_SCRIPT_FLAG = -Wl,-T -Wl,$(LEDTEST_LINKER_SCRIPT) 
LEDTEST_CC_DEBUG_FLAG =  -g 
LEDTEST_CC_PROFILE_FLAG = # -pg
LEDTEST_CC_GLOBPTR_FLAG= # -msdata=eabi
LEDTEST_CC_START_ADDR_FLAG=  #  # -Wl,-defsym -Wl,_START_ADDR=
LEDTEST_CC_STACK_SIZE_FLAG=  #  # -Wl,-defsym -Wl,_STACK_SIZE=
LEDTEST_CC_HEAP_SIZE_FLAG=  #  # -Wl,-defsym -Wl,_HEAP_SIZE=
LEDTEST_OTHER_CC_FLAGS= $(LEDTEST_CC_GLOBPTR_FLAG)  \
                  $(LEDTEST_CC_START_ADDR_FLAG) $(LEDTEST_CC_STACK_SIZE_FLAG) $(LEDTEST_CC_HEAP_SIZE_FLAG)  \
                  $(LEDTEST_LINKER_SCRIPT_FLAG) $(LEDTEST_CC_DEBUG_FLAG) $(LEDTEST_CC_PROFILE_FLAG) 
